diff --git python-crank/python-crank.spec python-crank/python-crank.spec.tmp
index 85ce7b1007..f43281c232 100644
--- python-crank/python-crank.spec
+++ python-crank/python-crank.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:               python-crank
 Version:            0.8.1
-Release:            2%{?dist}
+Release:            3%{?dist}
 Summary:            Generalization of dispatch mechanism for use across frameworks
 
 Group:              Development/Libraries
@@ -25,10 +25,17 @@ BuildRequires:      python3-devel
 BuildRequires:      python3-setuptools
 %endif
 
+%global _description\
+Generalization of dispatch mechanism for use across frameworks.
+
+%description %_description
+
+%package -n python2-%{modname}
+Summary: %summary
 Provides: python2-crank
+%{?python_provide:%python_provide python2-%{modname}}
 
-%description
-Generalization of dispatch mechanism for use across frameworks.
+%description -n python2-%{modname} %_description
 
 %if 0%{?with_python3}
 %package -n python3-%{modname}
@@ -83,7 +90,7 @@ popd
 #popd
 #%endif # with_python3
 
-%files
+%files -n python2-%{modname}
 %doc README.rst
 %{python2_sitelib}/%{modname}/
 %{python2_sitelib}/%{modname}-%{version}*
@@ -95,6 +102,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8.1-3
+- Python 2 subpackage renamed to python2-crank
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-croniter/python-croniter.spec python-croniter/python-croniter.spec.tmp
index 6df43093c4..12e7a0d104 100644
--- python-croniter/python-croniter.spec
+++ python-croniter/python-croniter.spec.tmp
@@ -13,7 +13,7 @@
 
 Name:           python-%{pypi_name}
 Version:        0.3.4
-Release:        11%{?dist}
+Release:        12%{?dist}
 Summary:        Iteration for datetime object with cron like format
 
 License:        MIT
@@ -28,10 +28,17 @@ BuildRequires:  python-setuptools
 BuildRequires:  python-dateutil
 BuildRequires:  pytz
 
+%global _description\
+Croniter provides iteration for datetime object with cron like format.
+
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
 Requires:       python-dateutil
+%{?python_provide:%python_provide python2-%{pypi_name}}
 
-%description
-Croniter provides iteration for datetime object with cron like format.
+%description -n python2-%{pypi_name} %_description
 
 %if 0%{?with_python3}
 %package -n python3-%{pypi_name}
@@ -89,7 +96,7 @@ rm -fr %{buildroot}%{python3_sitelib}/%{pypi_name}/tests/
 %endif
 
 
-%files
+%files -n python2-%{pypi_name}
 %doc README.rst docs/LICENSE
 %{python2_sitelib}/%{pypi_name}
 %{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
@@ -103,6 +110,10 @@ rm -fr %{buildroot}%{python3_sitelib}/%{pypi_name}/tests/
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.4-12
+- Python 2 subpackage renamed to python2-croniter
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.4-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-ctags/python-ctags.spec python-ctags/python-ctags.spec.tmp
index 69706aa1a2..d967c31842 100644
--- python-ctags/python-ctags.spec
+++ python-ctags/python-ctags.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-ctags
 Version:        1.0.5
-Release:        16%{?dist}
+Release:        17%{?dist}
 Summary:        A wrapper to read tags library
 
 Group:          Development/Languages
@@ -13,11 +13,19 @@ Source0:        http://python-ctags.googlecode.com/files/%{name}-%{version}.tar.
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:  python-devel, python-setuptools
-Requires:       ctags
 
-%description
+%global _description\
 A python wrapper to read tags library.
 
+%description %_description
+
+%package -n python2-ctags
+Summary: %summary
+Requires:       ctags
+%{?python_provide:%python_provide python2-ctags}
+
+%description -n python2-ctags %_description
+
 %prep
 %setup -q
 
@@ -34,13 +42,17 @@ rm -rf $RPM_BUILD_ROOT
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-ctags
 %defattr(-,root,root,-)
 %doc PKG-INFO
 %{python_sitearch}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.5-17
+- Python 2 subpackage renamed to python2-ctags
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-16
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-ctrldaemon/python-ctrldaemon.spec python-ctrldaemon/python-ctrldaemon.spec.tmp
index b1d8481b93..ffb346b5de 100644
--- python-ctrldaemon/python-ctrldaemon.spec
+++ python-ctrldaemon/python-ctrldaemon.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-ctrldaemon
 Version:        0.2
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        Service command wrapper for Python
 
 License:        BSD
@@ -18,9 +18,17 @@ BuildRequires:  python-psutil
 #BuildRequires:  python-nose
 #BuildRequires:  httpd
 
-%description
+%global _description\
 Service command wrapper for Python
 
+%description %_description
+
+%package -n python2-ctrldaemon
+Summary: %summary
+%{?python_provide:%python_provide python2-ctrldaemon}
+
+%description -n python2-ctrldaemon %_description
+
 %prep
 %setup -qn %{name}-%{commit}
 find -name '*egg-info' | xargs rm -rf
@@ -36,12 +44,16 @@ find -name '*egg-info' | xargs rm -rf
 #export PYTHONPATH=%%{python_sitelib}
 #%%{__python} setup.py test
 
-%files
+%files -n python2-ctrldaemon
 %doc README.md LICENSE
 %{python_sitelib}/ctrldaemon
 %{python_sitelib}/ctrldaemon-%{version}-*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2-8
+- Python 2 subpackage renamed to python2-ctrldaemon
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
@@ -63,4 +75,4 @@ find -name '*egg-info' | xargs rm -rf
 * Thu Aug 8 2013 Yohan Graterol <yohangraterol92@gmail.com> - 0.2-1
 - Changed version
 * Sun Aug 4 2013 Yohan Graterol <yohangraterol92@gmail.com> - 0.1-1
-- Initial Packaging
\ No newline at end of file
+- Initial Packaging
diff --git python-curtsies/python-curtsies.spec python-curtsies/python-curtsies.spec.tmp
index 70b6a2959b..e4baf5cca4 100644
--- python-curtsies/python-curtsies.spec
+++ python-curtsies/python-curtsies.spec.tmp
@@ -1,28 +1,36 @@
 Summary:       Curses-like terminal wrapper, with colored strings
 Name:          python-curtsies
 Version:       0.2.11
-Release:       4%{?dist}
+Release:       5%{?dist}
 License:       MIT
 Group:         Development/Tools
 URL:           https://github.com/thomasballinger/curtsies
 Source0:       https://files.pythonhosted.org/packages/source/c/curtsies/curtsies-%{version}.tar.gz
 BuildArch:     noarch
-Requires:      python-blessings >= 1.5
-Requires:      python2-wcwidth >= 0.1.4
 BuildRequires: python-devel
 BuildRequires: python-setuptools
 BuildRequires: python3-devel
 BuildRequires: python3-setuptools
 
-%description
-Curtsies is curses-like terminal wrapper, can be to annotate portions
-of strings with terminal colors and formatting.
-
-Most terminals will display text in color if you use ANSI escape codes
-- curtsies makes rendering such text to the terminal easy. Curtsies
-assumes use of an VT-100 compatible terminal: unlike curses, it has no
+%global _description\
+Curtsies is curses-like terminal wrapper, can be to annotate portions\
+of strings with terminal colors and formatting.\
+\
+Most terminals will display text in color if you use ANSI escape codes\
+- curtsies makes rendering such text to the terminal easy. Curtsies\
+assumes use of an VT-100 compatible terminal: unlike curses, it has no\
 compatibility layer for other types of terminals.
 
+%description %_description
+
+%package -n python2-curtsies
+Summary: %summary
+Requires:      python2-wcwidth >= 0.1.4
+Requires:      python-blessings >= 1.5
+%{?python_provide:%python_provide python2-curtsies}
+
+%description -n python2-curtsies %_description
+
 %package -n    python3-curtsies
 Summary:       Curses-like terminal wrapper, with colored strings
 Group:         Development/Tools
@@ -49,7 +57,7 @@ compatibility layer for other types of terminals.
 %{py2_install}
 %{py3_install}
 
-%files
+%files -n python2-curtsies
 %license LICENSE
 %doc readme.md
 %{python2_sitelib}/curtsies
@@ -62,6 +70,10 @@ compatibility layer for other types of terminals.
 %{python3_sitelib}/curtsies-*-py*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.11-5
+- Python 2 subpackage renamed to python2-curtsies
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.11-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-d2to1/python-d2to1.spec python-d2to1/python-d2to1.spec.tmp
index cb8974deb1..d0d3fd8721 100644
--- python-d2to1/python-d2to1.spec
+++ python-d2to1/python-d2to1.spec.tmp
@@ -8,7 +8,7 @@
 
 Name: python-%{srcname}
 Version: 0.2.12
-Release: 5.post1%{?dist}
+Release: 6.post1%{?dist}
 Summary: Allows using distutils2-like setup.cfg files with setup.py
 License: BSD
 
@@ -17,18 +17,25 @@ URL: http://pypi.python.org/pypi/d2to1
 #Source0: http://pypi.python.org/packages/source/d/d2to1/%{srcname}-%{version}.tar.gz
 Source0: https://pypi.python.org/packages/source/d/d2to1/d2to1-0.2.12.post1.tar.gz
 BuildRequires: python2-devel python-setuptools
-Requires: python-setuptools
-
-Provides: python2-d2to1
 
 BuildArch: noarch
 
-%description
-d2to1 allows using distutils2-like setup.cfg files for a package's metadata 
-with a distribute/setuptools setup.py script. It works by providing a 
-distutils2-formatted setup.cfg file containing all of a package's metadata, 
+%global _description\
+d2to1 allows using distutils2-like setup.cfg files for a package's metadata\
+with a distribute/setuptools setup.py script. It works by providing a\
+distutils2-formatted setup.cfg file containing all of a package's metadata,\
 and a very minimal setup.py which will slurp its arguments from the setup.cfg.
 
+%description %_description
+
+%package -n python2-d2to1
+Summary: %summary
+Provides: python2-d2to1
+Requires: python-setuptools
+%{?python_provide:%python_provide python2-d2to1}
+
+%description -n python2-d2to1 %_description
+
 %if 0%{?with_python3}
 %package -n python3-d2to1
 Summary: Allows using distutils2-like setup.cfg files with setup.py
@@ -73,7 +80,7 @@ popd
 
 %{__python2} setup.py install --skip-build --root %{buildroot}
 
-%files
+%files -n python2-d2to1
 %doc CHANGES.rst README.rst
 %license LICENSE
 %{python2_sitelib}/*
@@ -87,6 +94,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.12-6.post1
+- Python 2 subpackage renamed to python2-d2to1
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.12-5.post1
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-daap/python-daap.spec python-daap/python-daap.spec.tmp
index b381e36507..758cf8951a 100644
--- python-daap/python-daap.spec
+++ python-daap/python-daap.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-daap
 Version:        0.7.1
-Release:        19%{?dist}
+Release:        20%{?dist}
 Summary:        DAAP client implemented in Python
 
 Group:          Development/Languages
@@ -15,9 +15,17 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires:  python-devel
 BuildRequires:  python-setuptools
 
-%description
+%global _description\
 A DAAP client implemented in Python.
 
+%description %_description
+
+%package -n python2-daap
+Summary: %summary
+%{?python_provide:%python_provide python2-daap}
+
+%description -n python2-daap %_description
+
 %prep
 %setup -q -n PythonDaap-%{version}
 
@@ -31,12 +39,16 @@ rm -rf %{buildroot}
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-daap
 %defattr(-,root,root,-)
 %doc CHANGELOG examples/ README LICENSE PKG-INFO
 %{python_sitearch}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.1-20
+- Python 2 subpackage renamed to python2-daap
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-19
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-daemon/python-daemon.spec python-daemon/python-daemon.spec.tmp
index 96e68d0672..e4472d2c28 100644
--- python-daemon/python-daemon.spec
+++ python-daemon/python-daemon.spec.tmp
@@ -10,7 +10,7 @@
 
 Name:           python-daemon
 Version:        2.1.2
-Release:        4%{?dist}
+Release:        5%{?dist}
 Summary:        Library to implement a well-behaved Unix daemon process
 
 Group:          Development/Languages
@@ -33,14 +33,22 @@ BuildRequires:  python3-lockfile
 BuildRequires:  python3-mock
 BuildRequires:  python3-testtools
 %endif
-Requires:       python-lockfile
-
-%description
-This library implements the well-behaved daemon specification of PEP 3143,
-"Standard daemon process library".
 
+%global _description\
+This library implements the well-behaved daemon specification of PEP 3143,\
+"Standard daemon process library".\
+\
 This is the python2 version of the library.
 
+%description %_description
+
+%package -n python2-daemon
+Summary: %summary
+Requires:       python-lockfile
+%{?python_provide:%python_provide python2-daemon}
+
+%description -n python2-daemon %_description
+
 %if 0%{?with_python3}
 %package -n python3-daemon
 Summary:        Library to implement a well-behaved Unix daemon process
@@ -91,7 +99,7 @@ pushd %{py3dir}
 PYTHONPATH=$(pwd) %{__python3} -m unittest discover
 %endif
 
-%files
+%files -n python2-daemon
 %license LICENSE.ASF-2
 %{python2_sitelib}/daemon/
 %{python2_sitelib}/python_daemon-%{version}-py%{python2_version}.egg-info/
@@ -104,6 +112,10 @@ PYTHONPATH=$(pwd) %{__python3} -m unittest discover
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.1.2-5
+- Python 2 subpackage renamed to python2-daemon
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-datanommer-consumer/python-datanommer-consumer.spec python-datanommer-consumer/python-datanommer-consumer.spec.tmp
index d9ceabf8b8..4e01de95b2 100644
--- python-datanommer-consumer/python-datanommer-consumer.spec
+++ python-datanommer-consumer/python-datanommer-consumer.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-datanommer-consumer
 Version:        0.8.0
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        Hub consumer plugin for datanommer
 
 Group:          Development/Libraries
@@ -18,11 +18,18 @@ BuildRequires:  python-setuptools
 BuildRequires:  python-datanommer-models >= 0.6.0
 BuildRequires:  fedmsg
 
-Requires:       python-datanommer-models >= 0.6.0
+%global _description\
+Hub consumer plugin for datanommer.
+
+%description %_description
+
+%package -n python2-datanommer-consumer
+Summary: %summary
 Requires:       fedmsg
+Requires:       python-datanommer-models >= 0.6.0
+%{?python_provide:%python_provide python2-datanommer-consumer}
 
-%description
-Hub consumer plugin for datanommer.
+%description -n python2-datanommer-consumer %_description
 
 %prep
 %setup -q -n %{modname}-%{version}
@@ -36,12 +43,16 @@ rm -rf *.egg-info
 %install
 %{__python} setup.py install -O1 --skip-build --root=%{buildroot}
 
-%files
+%files -n python2-datanommer-consumer
 %doc README.rst LICENSE
 %{python_sitelib}/datanommer/consumer/
 %{python_sitelib}/%{modname}-%{version}*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8.0-3
+- Python 2 subpackage renamed to python2-datanommer-consumer
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-dateutil15/python-dateutil15.spec python-dateutil15/python-dateutil15.spec.tmp
index cf7a8e044c..572a03faf9 100644
--- python-dateutil15/python-dateutil15.spec
+++ python-dateutil15/python-dateutil15.spec.tmp
@@ -1,7 +1,7 @@
 %global srcname python-dateutil
 Name:           python-dateutil15
 Version:        1.5
-Release:        12%{?dist}
+Release:        13%{?dist}
 Summary:        Powerful extensions to the standard datetime module
 
 Group:          Development/Languages
@@ -12,11 +12,19 @@ Patch0:         python-dateutil-1.5-system-zoneinfo.patch
 BuildArch:      noarch
 BuildRequires:  python-devel,python-setuptools
 
-%description
-The dateutil module provides powerful extensions to the standard datetime
-module available in Python 2.3+.  This is backwards compatibility version 
+%global _description\
+The dateutil module provides powerful extensions to the standard datetime\
+module available in Python 2.3+.  This is backwards compatibility version\
 is parallel-installable with dateutil 2.x .
 
+%description %_description
+
+%package -n python2-dateutil15
+Summary: %summary
+%{?python_provide:%python_provide python2-dateutil15}
+
+%description -n python2-dateutil15 %_description
+
 %prep
 %setup -q -n %{srcname}-%{version}
 %patch0 -p1
@@ -34,13 +42,17 @@ easy_install -m --prefix %{buildroot}%{_usr} dist/*.egg
 chmod -x %{buildroot}%{python_sitelib}/python_dateutil-%{version}-py%{python2_version}.egg/dateutil/*.py 
 chmod -x %{buildroot}%{python_sitelib}/python_dateutil-%{version}-py%{python2_version}.egg/dateutil/zoneinfo/__init__.py
 
-%files
+%files -n python2-dateutil15
 %doc example.py LICENSE NEWS README
 %{python_sitelib}/python_dateutil-%{version}-py%{python2_version}.egg
 %exclude %{python_sitelib}/dateutil/zoneinfo/zoneinfo-2010g.tar.gz
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.5-13
+- Python 2 subpackage renamed to python2-dateutil15
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-dbusmock/python-dbusmock.spec python-dbusmock/python-dbusmock.spec.tmp
index 8049822ac0..c9f70bde6d 100644
--- python-dbusmock/python-dbusmock.spec
+++ python-dbusmock/python-dbusmock.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:             python-%{modname}
 Version:          0.16.7
-Release:          3%{?dist}
+Release:          4%{?dist}
 Summary:          Mock D-Bus objects
 
 Group:            Development/Libraries
@@ -16,17 +16,25 @@ BuildRequires:    python3-setuptools
 BuildRequires:    python3-nose
 BuildRequires:    python-devel, python-setuptools, dbus-python, python-nose
 BuildRequires:    pygobject3, dbus-x11, upower
-Requires:         dbus-python, pygobject3, dbus-x11
 
 
 
-%description
-With this program/Python library you can easily create mock objects on
-D-Bus. This is useful for writing tests for software which talks to
-D-Bus services such as upower, systemd, ConsoleKit, gnome-session or
-others, and it is hard (or impossible without root privileges) to set
+%global _description\
+With this program/Python library you can easily create mock objects on\
+D-Bus. This is useful for writing tests for software which talks to\
+D-Bus services such as upower, systemd, ConsoleKit, gnome-session or\
+others, and it is hard (or impossible without root privileges) to set\
 the state of the real services to what you expect in your tests.
 
+%description %_description
+
+%package -n python2-dbusmock
+Summary: %summary
+Requires:         dbus-python, pygobject3, dbus-x11
+%{?python_provide:%python_provide python2-dbusmock}
+
+%description -n python2-dbusmock %_description
+
 %package -n python3-dbusmock
 Summary: Mock D-Bus objects (in Python3)
 %description -n python3-dbusmock
@@ -64,7 +72,7 @@ pushd %{py3dir}
 # %{__python3} setup.py test
 popd
 
-%files
+%files -n python2-dbusmock
 %doc README.rst COPYING
 %{python2_sitelib}/*%{modname}*
 
@@ -73,6 +81,10 @@ popd
 %{python3_sitelib}/*%{modname}*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.16.7-4
+- Python 2 subpackage renamed to python2-dbusmock
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.7-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-debian/python-debian.spec python-debian/python-debian.spec.tmp
index bf71337a35..de1f383f49 100644
--- python-debian/python-debian.spec
+++ python-debian/python-debian.spec.tmp
@@ -11,7 +11,7 @@
 
 Name:           python-debian
 Version:        0.1.27
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        Modules for Debian-related data formats
 # debfile.py, arfile.py, debtags.py are release under GPL v3 or above
 # everything else is GPLv2+
@@ -22,28 +22,36 @@ Patch1:			0001-add-support-for-lzma.patch
 URL:            http://git.debian.org/?p=pkg-python-debian/python-debian.git
 BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
 BuildArch:      noarch
-Requires:       python >= 2.4
-Requires:		python-chardet
-Requires:       xz
-Requires:       python-six
 #not available now
 #Recommends:    python-apt
 Suggests:       gnupg
 BuildRequires:  python-devel, python-setuptools, python-chardet
 BuildRequires:  python-six
 
-%description
-This package provides Python modules that abstract many formats of Debian 
-related files. Currently handled are:
-* Debtags information (debian.debtags module)
-* debian/changelog (debian.changelog module)
-* Packages files, pdiffs (debian.debian_support module)
-* Control files of single or multiple RFC822-style paragraphs, e.g.
-  debian/control, .changes, .dsc, Packages, Sources, Release, etc.
-  (debian.deb822 module)
-* Raw .deb and .ar files, with (read-only) access to contained
+%global _description\
+This package provides Python modules that abstract many formats of Debian\
+related files. Currently handled are:\
+* Debtags information (debian.debtags module)\
+* debian/changelog (debian.changelog module)\
+* Packages files, pdiffs (debian.debian_support module)\
+* Control files of single or multiple RFC822-style paragraphs, e.g.\
+  debian/control, .changes, .dsc, Packages, Sources, Release, etc.\
+  (debian.deb822 module)\
+* Raw .deb and .ar files, with (read-only) access to contained\
   files and meta-information
 
+%description %_description
+
+%package -n python2-debian
+Summary: %summary
+Requires:       python-six
+Requires:       xz
+Requires:		python-chardet
+Requires:       python >= 2.4
+%{?python_provide:%python_provide python2-debian}
+
+%description -n python2-debian %_description
+
 %if 0%{?with_python3}
 %package -n python3-debian
 Summary:        Modules for Debian-related data formats
@@ -119,7 +127,7 @@ cd tests;
 popd
 %endif
 
-%files
+%files -n python2-debian
 %defattr(-,root,root,-)
 %dir %{python_sitelib}/debian
 %dir %{python_sitelib}/debian_bundle
@@ -145,6 +153,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.27-8
+- Python 2 subpackage renamed to python2-debian
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.27-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-decoratortools/python-decoratortools.spec python-decoratortools/python-decoratortools.spec.tmp
index 53145f2e7e..7a3fd22077 100644
--- python-decoratortools/python-decoratortools.spec
+++ python-decoratortools/python-decoratortools.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:           python-decoratortools
 Version:        1.8
-Release:        14%{?dist}
+Release:        15%{?dist}
 Summary:        Use class and function decorators -- even in Python 2.3
 Group:          Development/Languages
 License:        Python or ZPLv2.1
@@ -16,12 +16,20 @@ BuildArch:      noarch
 
 BuildRequires:  python-devel python-setuptools python-nose
 
-%description
-Want to use decorators, but still need to support Python 2.3? Wish you could
-have class decorators, decorate arbitrary assignments, or match decorated
-function signatures to their original functions? Then you need "DecoratorTools"
+%global _description\
+Want to use decorators, but still need to support Python 2.3? Wish you could\
+have class decorators, decorate arbitrary assignments, or match decorated\
+function signatures to their original functions? Then you need "DecoratorTools"\
 
 
+%description %_description
+
+%package -n python2-decoratortools
+Summary: %summary
+%{?python_provide:%python_provide python2-decoratortools}
+
+%description -n python2-decoratortools %_description
+
 %prep
 %setup -q -n %{module}-%{version}
 
@@ -43,7 +51,7 @@ PYTHONPATH=$(pwd) nosetests -q
 rm -rf %{buildroot}
 
 
-%files
+%files -n python2-decoratortools
 %defattr(-,root,root,-)
 %doc README.txt
 %{python_sitelib}/peak
@@ -52,6 +60,10 @@ rm -rf %{buildroot}
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.8-15
+- Python 2 subpackage renamed to python2-decoratortools
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-dictclient/python-dictclient.spec python-dictclient/python-dictclient.spec.tmp
index c2ba1c95c3..744da4b684 100644
--- python-dictclient/python-dictclient.spec
+++ python-dictclient/python-dictclient.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-dictclient
 Version:        1.0.1
-Release:        17%{?dist}
+Release:        18%{?dist}
 Summary:        Python client for DICT protocol
 
 Group:          Development/Languages
@@ -14,9 +14,17 @@ BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
 BuildArch:      noarch
 BuildRequires:  python-setuptools
 
-%description
+%global _description\
 A client library for the DICT protocol.
 
+%description %_description
+
+%package -n python2-dictclient
+Summary: %summary
+%{?python_provide:%python_provide python2-dictclient}
+
+%description -n python2-dictclient %_description
+
 %prep
 %setup -q -n dictclient
 
@@ -34,7 +42,7 @@ CFLAGS="%{optflags}" %{__python} -c 'import setuptools; execfile("setup.py")' bu
 %{__rm} -rf %{buildroot}
 
 
-%files
+%files -n python2-dictclient
 %defattr(-,root,root,-)
 %doc ChangeLog COPYING dictclient.html dictclient.txt README
 %{python_sitelib}/dictclient.py*
@@ -42,6 +50,10 @@ CFLAGS="%{optflags}" %{__python} -c 'import setuptools; execfile("setup.py")' bu
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.1-18
+- Python 2 subpackage renamed to python2-dictclient
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-17
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-dingus/python-dingus.spec python-dingus/python-dingus.spec.tmp
index 9e8a970597..3fe8b55182 100644
--- python-dingus/python-dingus.spec
+++ python-dingus/python-dingus.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-%{pypi_name}
 Version:        0.3.4
-Release:        11%{?dist}
+Release:        12%{?dist}
 Summary:        A record-then-assert mocking library
 
 License:        MIT
@@ -19,13 +19,21 @@ BuildRequires:  python-devel
 BuildRequires:  python-setuptools
 BuildRequires:  python-nose
 
-%description
-A dingus is sort of like a mock object. The main difference is that you don't
-set up expectations ahead of time. You just run your code, using a dingus in
-place of another object or class, and it will record what happens to it.
-Then, once your code has been exercised, you can make assertions about
+%global _description\
+A dingus is sort of like a mock object. The main difference is that you don't\
+set up expectations ahead of time. You just run your code, using a dingus in\
+place of another object or class, and it will record what happens to it.\
+Then, once your code has been exercised, you can make assertions about\
 what it did to the dingus.
 
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{pypi_name}}
+
+%description -n python2-%{pypi_name} %_description
+
 %prep
 %setup -q -n %{pypi_name}-%{version}
 # remove bundled egg-info
@@ -43,11 +51,15 @@ tar -xzf %{SOURCE1}
 nosetests -m '((?:^|[b_.-])(:?[Tt]est|When|should))'
 
 
-%files
+%files -n python2-%{pypi_name}
 %doc %{_docdir}/%{pypi_name}/
 %{python_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.4-12
+- Python 2 subpackage renamed to python2-dingus
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.4-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-di/python-di.spec python-di/python-di.spec.tmp
index df6be2a8b0..c513880293 100644
--- python-di/python-di.spec
+++ python-di/python-di.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:           python-di
 Version:        0.3
-Release:        9%{?dist}
+Release:        10%{?dist}
 Summary:        Python library for dependency injection support
 
 License:        GPLv2+
@@ -22,13 +22,21 @@ BuildRequires:  python-nose
 BuildRequires:  python2-devel     
 BuildArch:      noarch
 
-%description
-This python package provides a "di" module. The module contains a couple of
-decorators which try to implement the Dependency Injection (IoC) pattern
-without requiring the user to change local variables in his methods.
-
+%global _description\
+This python package provides a "di" module. The module contains a couple of\
+decorators which try to implement the Dependency Injection (IoC) pattern\
+without requiring the user to change local variables in his methods.\
+\
 It is intended to be used in unit testing environments.
 
+%description %_description
+
+%package -n python2-di
+Summary: %summary
+%{?python_provide:%python_provide python2-di}
+
+%description -n python2-di %_description
+
 %prep
 %setup -q -n di-%{version}
 
@@ -45,13 +53,17 @@ rm -rf ${buildroot}%{python_sitelib}/setuptools/tests
 %check
 %{__python} setup.py nosetests
 
-%files
+%files -n python2-di
 %{python_sitelib}/di
 %{python_sitelib}/di-*.egg-info
 
 %doc README COPYING
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3-10
+- Python 2 subpackage renamed to python2-di
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
